#!/bin/bash

# Structural annotation with BRAKER

export AUGUSTUS_CONFIG_PATH='/usr/local/extras/Genomics/apps/augustus/3.2.2/config'
export BAMTOOLS_PATH='/usr/local/extras/Genomics/apps/bamtools/2.4.0/bin'
export GENEMARK_PATH='/usr/local/extras/Genomics/apps/gmes/4.32'
export SAMTOOLS_PATH='/usr/local/extras/Genomics/apps/samtools/1.3.1/bin'

GENOME='tcristinae_draft_1.3b2.fasta.masked'
RNASEQ='outAligned.sortedByCoord.out.bam'
NCORES=19
SPECIES='timema_cristinae_1.3b2_braker' # Augustus species

date 
echo "====================================================================================="
echo "====================================================================================="
echo "====================================================================================="
echo

echo "Executing: "
echo "braker.pl \\"
echo "--softmasking on \\"
echo "--cores $NCORES \\"
echo "--species $SPECIES --useexisting \\"
echo "--genome $GENOME \\"
echo "--bam $RNASEQ \\"
echo "--gff3 "

echo
echo "-------------------------------------------------------------------------------------"
echo

braker.pl \
--softmasking on \
--cores $NCORES \
--species $SPECIES --useexisting \
--genome $GENOME \
--bam $RNASEQ \
--gff3

echo "====================================================================================="
echo "====================================================================================="
echo "====================================================================================="
date
echo

