#!/bin/bash

# Run vsearch to cluster curated TE library and RepeatModeler library

export OMP_NUM_THREADS=24

REPEATMODELERLIB='RepeatModeler_tcristinae_draft_1.3b2.lib'
CURATEDLIB='Tc_TE_library_merged_20131009_strict_RMformat.fa'

VSEARCH='/usr/local/extras/Genomics/apps/vsearch/2.3.0/bin/vsearch'

OUTDIR='./repeatlibrary'
mkdir -p $OUTDIR

cat $REPEATMODELERLIB $JENSCURATEDLIB > $OUTDIR/merged.fa

# cluster with VSEARCH
cd $OUTDIR
mkdir -p uclust/clusters
$VSEARCH \
--cluster_fast merged.fa \
--sizeout \
--strand both \
--threads 24 \
--id 0.8 \
--iddef 0 \
--centroids uclust/centroids.fa \
--uc uclust/uclust.tab \
--consout uclust/consensus.fa \
--msaout uclust/aligned.fa \
--clusters uclust/clusters/cluster \
--log uclust/vsearch_uclust.log

cat uclust/centroids.fa | perl -pe 'if (/^\>/){s/ \(.*//g; s/;.*//g;}' > RepeatLibMergeCentroidsRM.lib

