#!/bin/bash

# Run RepeatModeler on genome

REPEATMODELERPATH='/usr/local/extras/Genomics/apps/repeatmodeler/1.0.8'
GENOME='tcristinae_draft_1.3b2.fasta'
SPECIES='timema_cristinae'
NCORES=24
WORKDIR="/local/tmp/repeatmodeler-$SPECIES"
OUTDIR='./repeatmodeler'

mkdir -p $OUTDIR

# Change to local dir
mkdir -p $WORKDIR
cd $WORKDIR

# Build database
$REPEATMODELERPATH/BuildDatabase \
-name $SPECIES \
-engine ncbi \
$GENOME >& build_database.log

rsync -avPh $WORKDIR/* $OUTDIR/

# Run RepeatModeler
$REPEATMODELERPATH/RepeatModeler \
-pa $NCORES \
-engine ncbi \
-database $SPECIES >& repeat_modeler.log

rsync -avPh $WORKDIR/* $OUTDIR/

cd $OUTDIR
ln -s RM*/consensi.fa.classified RepeatModeler_tcristinae_draft_1.3b2.lib

rm -r $WORKDIR
