#!/bin/bash
# (c) 2020 - Victor Soria-Carrasco
# victor.soria.carrasco@gmail.com
# Last modified: 23/04/2018 23:01:10

# Description:
# Generate consensus sequence from bcf file with genotypes
# and a reference genome

BCFTOOLS='/usr/local/extras/Genomics/apps/bcftools/1.3.1/bin/bcftools'
SAMTOOLS='/usr/local/extras/Genomics/apps/samtools/1.3.1/bin/samtools'
BOWTIE2BUILD='/usr/local/extras/Genomics/apps/bowtie2/2.2.9/bin/bowtie2-build'

REFERENCE='tcristinae_draft_1.3b2.fasta'

VARIANTS=variants.bcf
OUTDIR="./consensus"
mkdir -p $OUTDIR >& /dev/null

OUTPUT="$OUTDIR/consensus.fa"

echo "$BCFTOOLS consensus -f $REFERENCE -o $OUTPUT $VARIANTS"
$BCFTOOLS consensus -f $REFERENCE -o $OUTPUT $VARIANTS

$SAMTOOLS faidx $OUTPUT
$BOWTIE2BUILD $OUTPUT $OUTPUT
